# Uses of Interface
org.eclipse.emf.cdo.common.lock.CDOLockOwner

Packages that use CDOLockOwner
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLockOwner in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return types with arguments of type CDOLockOwner
Modifier and Type
Method
Description
`Set<CDOLockOwner>`
CDOLock.CDOAcquiredLock.`getOwners()`
`Set<CDOLockOwner>`
CDOLock.`getOwners()`

## Uses of CDOLockOwner in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOLockOwner
Modifier and Type
Method
Description
`CDOLockOwner`
CDOCommonView.`getLockOwner()`

## Uses of CDOLockOwner in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock that return CDOLockOwner
Modifier and Type
Method
Description
`static CDOLockOwner`
CDOLockUtil.`createLockOwner(int sessionID, int viewID, String durableLockingID)`
`static CDOLockOwner`
CDOLockUtil.`createLockOwner(CDOCommonView view)`
`CDOLockOwner`
CDOLockChangeInfo.`getLockOwner()`
`CDOLockOwner`
CDOLockDelta.`getNewOwner()`
`CDOLockOwner`
CDOLockDelta.`getOldOwner()`
`CDOLockOwner`
CDOLockState.`getWriteLockOwner()`
`CDOLockOwner`
CDOLockState.`getWriteOptionOwner()`
Methods in org.eclipse.emf.cdo.common.lock that return types with arguments of type CDOLockOwner
Modifier and Type
Method
Description
`Set<CDOLockOwner>`
CDOLockState.`getReadLockOwners()`
Methods in org.eclipse.emf.cdo.common.lock with parameters of type CDOLockOwner
Modifier and Type
Method
Description
`static List<CDOLockDelta>`
CDOLockUtil.`appendLockDelta(List<CDOLockDelta> deltas, Object target, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOLockOwner lockOwner, CDOBranch branch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(CDOBranchPoint branchPoint, CDOLockOwner lockOwner, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates)`
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(CDOBranchPoint branchPoint, CDOLockOwner lockOwner, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates, boolean isAdministrative)`
`static CDOLockDelta`
CDOLockUtil.`createLockDelta(Object target, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`static int`
CDOLockUtil.`indexOf(CDOLockOwner[] lockOwners, CDOLockOwner lockOwner)`
`boolean`
CDOLockState.`isLocked(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, CDOLockOwner by, boolean others)`
If the 'others' argument is `false`, this method returns `true` if this lock is currently held by the requesting CDOView, `false` otherwise.

## Uses of CDOLockOwner in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOLockOwner
Modifier and Type
Method
Description
`CDOLockOwner`
CDODataInput.`readCDOLockOwner()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOLockOwner
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOLockOwner(CDOLockOwner lockOwner)`

## Uses of CDOLockOwner in org.eclipse.emf.cdo.spi.common.lock

Methods in org.eclipse.emf.cdo.spi.common.lock with parameters of type CDOLockOwner
Modifier and Type
Method
Description
`protected abstract CDOLockDelta`
AbstractCDOLockState.`addOptionOwner(CDOLockOwner owner)`
`final CDOLockDelta`
AbstractCDOLockState.`addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`CDOLockDelta`
InternalCDOLockState.`addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`final void`
AbstractCDOLockState.`addReadLockOwner(CDOLockOwner owner)`
Deprecated.
`void`
InternalCDOLockState.`addReadLockOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `addOwner(owner, LockType.READ)`.
`protected abstract CDOLockDelta`
AbstractCDOLockState.`addReadOwner(CDOLockOwner owner)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`addWriteOwner(CDOLockOwner owner)`
`static void`
AbstractCDOLockState.`appendLockOwner(StringBuilder builder, CDOLockOwner lockOwner)`
`static void`
AbstractCDOLockState.`appendLockOwner(StringBuilder builder, CDOLockOwner lockOwner, boolean first)`
`final CDOLockDelta[]`
AbstractCDOLockState.`clearOwner(CDOLockOwner owner)`
`CDOLockDelta[]`
InternalCDOLockState.`clearOwner(CDOLockOwner owner)`
`CDOLockDelta[]`
InternalCDOLockState.`remapOwner(CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`removeOptionOwner(CDOLockOwner owner)`
`final boolean`
AbstractCDOLockState.`removeOwner(CDOLockOwner owner)`
Deprecated.
`final CDOLockDelta`
AbstractCDOLockState.`removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`boolean`
InternalCDOLockState.`removeOwner(CDOLockOwner owner)`
Deprecated.
As of 4.16 use `InternalCDOLockState.clearOwner(CDOLockOwner)`.
`CDOLockDelta`
InternalCDOLockState.`removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`final boolean`
AbstractCDOLockState.`removeReadLockOwner(CDOLockOwner owner)`
Deprecated.
`boolean`
InternalCDOLockState.`removeReadLockOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `removeOwner(owner, LockType.READ)`.
`protected abstract CDOLockDelta`
AbstractCDOLockState.`removeReadOwner(CDOLockOwner owner)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`removeWriteOwner(CDOLockOwner owner)`
`final void`
AbstractCDOLockState.`setWriteLockOwner(CDOLockOwner owner)`
Deprecated.
`void`
InternalCDOLockState.`setWriteLockOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `addOwner(owner, LockType.WRITE)` or `removeOwner(owner, LockType.WRITE)`.
`final void`
AbstractCDOLockState.`setWriteOptionOwner(CDOLockOwner owner)`
Deprecated.
`void`
InternalCDOLockState.`setWriteOptionOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `addOwner(owner, LockType.OPTION)`.

## Uses of CDOLockOwner in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOLockOwner
Modifier and Type
Method
Description
`CDOLockOwner`
CDODataInputImpl.`readCDOLockOwner()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOLockOwner
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOLockOwner(CDOLockOwner lockOwner)`

## Uses of CDOLockOwner in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOLockOwner
Modifier and Type
Method
Description
`void`
InternalSession.`sendLockOwnerRemappedNotification(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`void`
InternalSessionManager.`sendLockOwnerRemappedNotification(InternalSession sender, CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`void`
ISessionProtocol.`sendLockOwnerRemappedNotification(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner)`

## Uses of CDOLockOwner in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOLockOwner
Modifier and Type
Method
Description
`CDOLockOwner`
CDOPushTransaction.`getLockOwner()`

## Uses of CDOLockOwner in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOLockOwner
Modifier and Type
Method
Description
`CDOLockOwner`
InternalCDOView.`getLockOwner()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOLockOwner
Modifier and Type
Method
Description
`void`
CDOLockStateCache.`forEachLockState(CDOBranch branch, CDOLockOwner owner, Consumer<CDOLockState> consumer)`
`void`
CDOLockStateCache.`remapOwner(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`List<CDOLockDelta>`
CDOLockStateCache.`removeOwner(CDOBranch branch, CDOLockOwner owner, Consumer<CDOLockState> consumer)`